Disconnect a member from voice
const url = 'https://api.gampeon.com/v1/communities/1/voice/members/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.gampeon.com/v1/communities/1/voice/members/example \ --header 'Authorization: Bearer <token>'Your own handle: leave voice. Someone else: needs moveMembers, and their highest role must be below yours. They can join again (time them out or kick them to stop that). In the audit log.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Community ID
Handle of the member
Responses
Section titled “Responses”Disconnected
Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed, missing_permission, role_hierarchy, forbidden
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found, not_in_voice
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}